---
- hosts: control_planes
  become: yes
  gather_facts: yes
  vars_files:
    - ./vars/general.yml

  tasks:
    - name: Add an apt signing key for Helm
      apt_key:
        url: https://baltocdn.com/helm/signing.asc
        state: present

    - name: Adding apt repository for Helm
      apt_repository:
        repo: deb https://baltocdn.com/helm/stable/debian/ all main
        state: present
        filename: helm-stable-debian.list

    - name: Install Helm binaries
      apt: 
        name: "helm"
        state: present
        update_cache: yes